@import url("https://cdn.jsdelivr.net/npm/lightgallery@2.4.0/css/lightgallery.css");
@import url("https://cdn.jsdelivr.net/npm/lightgallery@2.4.0/css/lg-zoom.css");
@import url("https://cdn.jsdelivr.net/npm/lightgallery@2.4.0/css/lg-video.css");

.previewVideo {
  cursor: pointer;
  position: relative;

  &::before {
    content: "";
    position: absolute;
    transition: all 0.5s ease-out;
  }

  &:hover {
    &::before {
      content: "";
      background: rgba($color: #000000, $alpha: 0.3);

      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      position: absolute;
      transition: all 0.5s ease-out;
    }
    &::after {
      content: url("../../public/play-icon-video.png");
      position: absolute;
      left: 50%;
      top: 50%;

      transform: translate(-50%, -50%);
    }
  }
}

.previewImg {
  cursor: pointer;
  position: relative;

  &::before {
    content: "";
    position: absolute;
    // background: white;
    // opacity: 1;
    transition: all 0.5s ease-out;
  }

  &:hover {
    &::before {
      content: "";
      background: rgba($color: #000000, $alpha: 0.3);
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      position: absolute;
      //   opacity: 0.2;
      transition: all 0.5s ease-out;
    }
    &::after {
      content: url("../../public/auth/eye-fill-white.svg");
      position: absolute;
      left: 50%;
      top: 50%;

      transform: translate(-50%, -50%);
    }
  }
}
